GET
https://dev.yimmit.com/api/v3/liquidity/tradesGet Trades
GET api/v3/liquidity/trades
Get your executed trades. Trades are sorted in reverse creation order.
Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| market | STRING | NO | Market pair code (e.g., btcusdt, ethbtc) |
| limit | INTEGER | NO | Limit the number of returned trades. Default to 100. |
| page | INTEGER | NO | Specify the page of paginated results. |
| from | INTEGER | NO | An integer represents the seconds elapsed since Unix epoch.If set, only trades executed after the time will be returned. |
| to | INTEGER | NO | An integer represents the seconds elapsed since Unix epoch.If set, only trades executed before the time will be returned. |
| order_by | STRING | NO | If set, returned trades will be sorted in specific order, default to 'desc'. |
Responses
- 200 Successful response
[
{
"id": 967974,
"price": "118558.45",
"total": "5.9279225",
"avg_price": "118558.45",
"order_id": 3289113,
"amount": "0.00005",
"ord_type": "limit",
"fee_currency": "usdt",
"fee": "0.02371169",
"fee_amount": "0.02371169",
"market": "btcusdt",
"quote_currency": "usdt",
"taker_type": "buy",
"side": "sell",
"ask_order": "btc",
"bid_order": "usdt",
"created_at": "2026-02-03T06:38:06Z"
},
{
"id": 234395,
"price": "118562.88",
"total": "5.928144",
"avg_price": "118562.88",
"order_id": 3338002,
"amount": "0.00005",
"ord_type": "limit",
"fee_currency": "btc",
"fee": "0.0000003",
"fee_amount": "0.0000003",
"market": "btcusdt",
"quote_currency": "usdt",
"taker_type": "buy",
"side": "buy",
"ask_order": "btc",
"bid_order": "usdt",
"created_at": "2026-01-14T14:25:45Z"
}
]